Import Kitsu projects. Send a list of Kitsu project entries in the JSON body. Returns created or updated projects.
POST
/import/kitsu/projects
curl
curl -X POST "http://api.example.com/import/kitsu/projects" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '[
{
"id": "a24a6ea4-ce75-4665-a070-57453082c25",
"name": "My Project",
"production_type": "tvshow"
}
]'
import requests
url = "http://api.example.com/import/kitsu/projects"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json",
"Content-Type": "application/json"
}
params = {}
payload = [
{
"id": "a24a6ea4-ce75-4665-a070-57453082c25",
"name": "My Project",
"production_type": "tvshow"
}
]
response = requests.post(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
curl \
--request POST 'http://api.example.com/import/kitsu/projects' \
--header "Authorization: $API_KEY" \
--header "Content-Type: application/json" \
--data '[{"id":"a24a6ea4-ce75-4665-a070-57453082c25","name":"My Project","production_type":"tvshow"}]'
Request example
[
{
"id": "a24a6ea4-ce75-4665-a070-57453082c25",
"name": "My Project",
"production_type": "tvshow"
}
]
Response examples (200)
[
{
"id": "a24a6ea4-ce75-4665-a070-57453082c25",
"name": "My Project",
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T11:00:00Z"
}
]